Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileFXM

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffFXBase
              edu.harvard.hul.ois.jhove.module.tiff.TiffProfileFXM

    public class TiffProfileFXM

extends TiffFXBase

Profile checker for TIFF FX, Profile M (Mixed Raster Content). Image data content is not checked for profile conformance. Only tags are checked.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffFXBase
`GLOBALPARAMETERSIFD, STRIPROWCOUNTS`

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileFXM()` Constructor.

Method Summary
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements of a TIFF/FX M profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffFXBase
`perCMtoPerInch, satisfiesClass`

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileFXM

    public TiffProfileFXM()

  Constructor.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements of a TIFF/FX M profile. See the TIFF/FX specification for details. Proper validation should check if the subIFDs are appropriate to the M profile layer scheme. However, the existing design of the TIFF module has almost no understanding of IFD hierarchies. This could be an enhancement for a future release.

  Specified by:
    `satisfiesThisProfile` in class `TiffProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD